From: "Rui Huang" <vowstar@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-libs/gpds/
Date: Sat, 17 Feb 2024 15:42:50 +0000 (UTC) [thread overview]
Message-ID: <1708184559.926a6bfd9acaee25835c640098bf2314526fb038.vowstar@gentoo> (raw)
Message-ID: <20240217154250.mOlhlVHwNSFN0ZlYvZ_Jv1AFA1ONSFNfOHR3WJtSnhs@z> (raw)
commit: 926a6bfd9acaee25835c640098bf2314526fb038
Author: Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Sat Feb 17 15:38:16 2024 +0000
Commit: Rui Huang <vowstar <AT> gmail <DOT> com>
CommitDate: Sat Feb 17 15:42:39 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=926a6bfd
dev-libs/gpds: bump to 1.8.3
Signed-off-by: Huang Rui <vowstar <AT> gmail.com>
dev-libs/gpds/Manifest | 1 +
dev-libs/gpds/gpds-1.8.3.ebuild | 46 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-libs/gpds/Manifest b/dev-libs/gpds/Manifest
index 85b2531aa5..fe45aaa986 100644
--- a/dev-libs/gpds/Manifest
+++ b/dev-libs/gpds/Manifest
@@ -1,2 +1,3 @@
DIST gpds-1.6.0.tar.gz 874971 BLAKE2B bc139365d5ed2ece5ab1b21c47830477e497a2a4bd8d489b801ceab91f815d022f1f8a1241d2724264d651c55d88674c7a4d4e7f8ee55e6f8049c48fb950c3ff SHA512 bf916c5542c9dc13e6febbe605fd2268f14dec94e29ead604359b51b8adbfc12538f905024b43b4d838ba39033beab89d89693a571a1e0a482e44ccdb6e32133
DIST gpds-1.7.0.tar.gz 874784 BLAKE2B 6ab3edb5cda6e578695d3c7b79b57e8995e777bfafac603813ba06890811ac1ff0a3b41f7b8efe7dfc0a675c5799d60c9889760fa6ddab82a01e0219ab96eb9b SHA512 c51c9a96363a213084997d5705a2899ad3183527a1fb4567b1eef2ad68b7f3ad2c70068f7e648471a56c377a518be30cadcba7d8e2a928a6ad1d1300dc40b102
+DIST gpds-1.8.3.tar.gz 875674 BLAKE2B 18f4a8633960e68529255d2625d03bb652c30dc239969f97e9f1ac99031c104f3706bb55c7c755abb304889e9e6747ff76a16c4233f092f9175550280f80a6b9 SHA512 a981c2d136bd4e5cd81ddc457252fa8e87353f63bc8e00d42a8c4a9e6daa8e6b9fd5a18a11c402c1cfe9885f8ba5f995f97cb5ea2aa69e1339b02e4d66f08d43
diff --git a/dev-libs/gpds/gpds-1.8.3.ebuild b/dev-libs/gpds/gpds-1.8.3.ebuild
new file mode 100644
index 0000000000..448e5e5ace
--- /dev/null
+++ b/dev-libs/gpds/gpds-1.8.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="A general purpose data serializer"
+HOMEPAGE="https://gpds.simulton.com"
+
+if [[ "${PV}" == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/simulton/${PN}.git"
+else
+ SRC_URI="https://github.com/simulton/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+ S="${WORKDIR}/${PN}-${PV}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples +spdlog static-libs test"
+RESTRICT="!test? ( test )"
+DEPEND="${RDEPEND}"
+
+DOCS=( license.txt readme.md )
+
+src_prepare() {
+ cmake_src_prepare
+ use static-libs || sed -i -e '/TARGET-STATIC/d' "${S}"/lib/CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DGPDS_BUILD_EXAMPLES=$(usex examples)
+ -DGPDS_BUILD_TESTS=$(usex test)
+ -DGPDS_FEATURE_SPDLOG=$(usex spdlog)
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+ # use static-libs || rm "${ED}"/usr/$(get_libdir)/*.a || die
+}
next reply other threads:[~2024-02-17 15:42 UTC|newest]
Thread overview: 13+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-02-17 15:48 Rui Huang [this message]
2024-02-17 15:42 ` [gentoo-commits] repo/proj/guru:dev commit in: dev-libs/gpds/ Rui Huang
-- strict thread matches above, loose matches on Subject: below --
2024-10-04 10:18 Rui Huang
2024-10-04 10:24 ` [gentoo-commits] repo/proj/guru:master " Rui Huang
2024-10-04 10:18 [gentoo-commits] repo/proj/guru:dev " Rui Huang
2024-10-04 10:24 ` [gentoo-commits] repo/proj/guru:master " Rui Huang
2024-02-19 2:44 Rui Huang
2024-02-19 2:44 [gentoo-commits] repo/proj/guru:dev " Rui Huang
2024-02-19 2:44 ` [gentoo-commits] repo/proj/guru:master " Rui Huang
2024-02-18 8:01 Rui Huang
2024-02-18 7:40 Rui Huang
2024-02-18 5:13 Rui Huang
2024-02-17 15:48 Rui Huang
2023-11-20 14:14 David Roman
2023-10-08 20:58 David Roman
2023-10-08 20:58 David Roman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1708184559.926a6bfd9acaee25835c640098bf2314526fb038.vowstar@gentoo \
--to=vowstar@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox